MutableIdentifierGeneratorFactoryInitiator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id.factory.internal
Class MutableIdentifierGeneratorFactoryInitiator

    java.lang.Object
      org.hibernate.id.factory.internal.MutableIdentifierGeneratorFactoryInitiator

All Implemented Interfaces:
  BasicServiceInitiator<MutableIdentifierGeneratorFactory>, ServiceInitiator<MutableIdentifierGeneratorFactory>

    public class MutableIdentifierGeneratorFactoryInitiator

extends Object
implements BasicServiceInitiator<MutableIdentifierGeneratorFactory>

Field Summary
`static MutableIdentifierGeneratorFactoryInitiator` | `INSTANCE`

Constructor Summary
`MutableIdentifierGeneratorFactoryInitiator()`

Method Summary
`Class<MutableIdentifierGeneratorFactory>` | `getServiceInitiated()` Obtains the service role initiated by this initiator.
`MutableIdentifierGeneratorFactory` | `initiateService(Map configurationValues, ServiceRegistryImplementor registry)` Initiates the managed service.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MutableIdentifierGeneratorFactoryInitiator INSTANCE

Constructor Detail

### MutableIdentifierGeneratorFactoryInitiator

    public MutableIdentifierGeneratorFactoryInitiator()

Method Detail

### getServiceInitiated

    public Class<MutableIdentifierGeneratorFactory> getServiceInitiated()

  Description copied from interface: `ServiceInitiator`
  Obtains the service role initiated by this initiator. Should be unique within a registry

  Specified by:
    `getServiceInitiated` in interface `ServiceInitiator<MutableIdentifierGeneratorFactory>`
  Returns:
    The service role.

### initiateService

    public MutableIdentifierGeneratorFactory initiateService(Map configurationValues,
                                                             ServiceRegistryImplementor registry)

  Description copied from interface: `BasicServiceInitiator`
  Initiates the managed service.

  Specified by:
    `initiateService` in interface `BasicServiceInitiator<MutableIdentifierGeneratorFactory>`
  Parameters:
    `configurationValues` - The configuration values in effect
    `registry` - The service registry. Can be used to locate services needed to fulfill initiation.
  Returns:
    The initiated service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.